package de.ozgcloud.eingang.fim;

import lombok.Getter;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

import org.w3c.dom.NodeList;

import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Optional;

class FimScheme {

    private final Document doc;
    @Getter
    private final FimSchemeIdentifier identifier;

    @Getter
    private final FimSchemeAdapter schemeAdapter;
    private final Map<String, Element> fieldIndex = new LinkedHashMap<>();

    FimScheme(final Document doc, final FimSchemeIdentifier identifier, final FimSchemeAdapter schemeAdapter) {
        this.doc = doc;
        this.identifier = identifier;
        this.schemeAdapter = schemeAdapter;

        buildFieldIndex();
    }
    private void buildFieldIndex() {
        final NodeList groupList = doc.getElementsByTagName("xs:element");
        for (int i = 0; i < groupList.getLength();i++) {
            final Element group = (Element) groupList.item(i);
            final String groupName = group.getAttribute("name");
            fieldIndex.put(groupName, group);
        }
    }

    Optional<String> getFieldName(final String fieldName) {
        return schemeAdapter.getFieldName(fieldIndex, fieldName);
    }
}
